GNU bug report logs - #48756
guix offload: error: corrupt input while restoring archive from #<closed: file 7f68866bf770>

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Madhavan Krishnan <krishnanmadhavan000@HIDDEN>; dated Sun, 30 May 2021 23:16:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 48756 <at> debbugs.gnu.org:


Received: (at 48756) by debbugs.gnu.org; 14 Jun 2021 13:33:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 14 09:33:09 2021
Received: from localhost ([127.0.0.1]:45351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsmiD-0006IR-F1
	for submit <at> debbugs.gnu.org; Mon, 14 Jun 2021 09:33:09 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:45634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <krishnanmadhavan000@HIDDEN>) id 1lsmiC-0006ID-6v
 for 48756 <at> debbugs.gnu.org; Mon, 14 Jun 2021 09:33:08 -0400
Received: by mail-wr1-f51.google.com with SMTP id z8so14581901wrp.12
 for <48756 <at> debbugs.gnu.org>; Mon, 14 Jun 2021 06:33:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=jfQFD97QV87l4Cyo/WQhpge/qsyyTg//c8jTwZaT3iM=;
 b=kb0KQsw0JOQLZTHDxenpT61E1Kd0pR3dnyaQ8dSH5PfWRP3nbLfmdQKN2e40XK6xJl
 fZH9HE7X74k28LOOGP2jhL/jOizw/E8yNxjXsTCoiK7v8uSCDD9Z3gkXblS4KuhXSlhf
 SsbshCSUiA3wFEClmNfcisq6EJl0VP6JxswUIMFlS776+0K7bJ431llQEIbipxPSvLEx
 nmcDQjNbOqHcaWiuqfcC3jt+Eqv6/spFebHGm42o454wXCzzHMSBfIcrSFODHVVTrAYw
 Abc4RNBrlRoDKicKtqwVfhwgQXdCpCcDG0bHdhWz0uSw7K6pOrCkIPUVVtbKTk9kYfE6
 uxFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=jfQFD97QV87l4Cyo/WQhpge/qsyyTg//c8jTwZaT3iM=;
 b=maJA3qQfdLED8P9R3w/F0wtTF7ghXInZpb0UwESJTCp1wU/iznxfqpH3dDuHPMgVDe
 0+HW6psd5F8AiNquxTMEhj3p4eSl98eTQfZVBrPiwk2GbAR4uO1ZPiOC/GrgtmEAzxBj
 T269J3glsz74KdHOj9GgydmbqzuMlzbgeAds10amjFN0fCCcChJcuxmFTEGYM/V9aHRB
 OAf/LQb8qewxQBsIZ9TlzeJRfCxx1viJw08NNGiO61eP+NQKFYd/EFb9Du/c1gq2flQD
 DPW3+Ojmo+JmDsQ7guPuMiOj4spc6/q3t/0SVdayLtDldWLxt3glWy0NLBevKPy5b7TE
 8A9Q==
X-Gm-Message-State: AOAM533uOEOOi9MGia2VsMXyRk1c0m1q2nqCjddffdPhu1xF1j5d12dN
 uCjkAy6TCG4nVzmUkOmPXjrT4DULK0w=
X-Google-Smtp-Source: ABdhPJzdLoZU7ZsdhKvPQv0CEnPNF9EHiw8c+1hwj9MQZmYzHHXj5/Kdm129DhrJZhtiFnBFdvIjkw==
X-Received: by 2002:a5d:59ae:: with SMTP id p14mr18324171wrr.188.1623677582149; 
 Mon, 14 Jun 2021 06:33:02 -0700 (PDT)
Received: from arch (cpc119944-watf12-2-0-cust108.15-2.cable.virginm.net.
 [86.0.29.109])
 by smtp.gmail.com with ESMTPSA id h9sm12945295wmb.35.2021.06.14.06.33.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 14 Jun 2021 06:33:01 -0700 (PDT)
From: Madhavan Krishnan <krishnanmadhavan000@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#48756: guix offload: error: corrupt input while restoring
 archive from #<closed: file 7f68866bf770>
In-Reply-To: <87tum0wpei.fsf@HIDDEN>
References: <87sg23u83o.fsf@HIDDEN> <87tum0wpei.fsf@HIDDEN>
User-Agent: Notmuch/0.32.1 (https://notmuchmail.org) Emacs/28.0.50
 (x86_64-pc-linux-gnu)
Date: Mon, 14 Jun 2021 14:33:00 +0100
Message-ID: <87zgvsmv03.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 48756
Cc: 48756 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

DQpIZWxsbyBMdWRvLA0KDQo+IERvZXMgL2V0Yy9ndWl4L3NpZ25pbmcta2V5LntwdWIsc2VjfSBl
eGlzdCBvbiBib3RoIG1hY2hpbmVzPw0KDQo+IFlvdSBjYW4gZ2VuZXJhdGUgaXQgd2l0aCDigJhn
dWl4IGFyY2hpdmXigJkgKGluZm8gIihndWl4KSBJbnZva2luZyBndWl4DQo+IGFyY2hpdmUiKS4N
Cg0KWWVzLCB0aGUgZmlsZXMgYXJlIGdlbmVyYXRlZCBieQ0KDQogICAjK2JlZ2luX2V4YW1wbGUN
CnN1ZG8gZ3VpeCBhcmNoaWV2ZSAtLWdlbmVyYXRlLWtleQ0KICAgIytlbmRfZXhhbXBsZQ0KICAg
DQogIC9ldGMvZ3VpeC9zaWduaW5nLWtleS5wdWINCiAgL2V0Yy9ndWl4L3NpZ25pbmcta2V5LnNl
Yw0KDQphbmQgc2VuZCB0aGUgPXNpZ25pbmcta2V5LnB1Yj0gdG8gdGhlIGJ1aWxkIG1hY2hpbmUu
DQoNCiMrYmVnaW5fc3JjIHNoZWxsDQpzdWRvIGd1aXggYXJjaGlldmUgLS1hdXRob3JpemU8IG1h
c3Rlci9idWlsZC50eHQNCiMrZW5kX3NyYw0KDQpib3RoIHdheXMgbWFzdGVyIDwtPiBidWlsZA0K
DQpLaW5kbHkgbGV0IG1lIGtub3cgSWYgYW0gSSBtaXNzaW5nIHNvbWV0aGluZyBoZXJlIG9idmlv
dXM/DQoNClRoYW5rcw0KLS0gDQpNYWRoYXZhbiBLcmlzaG5hbg0K




Information forwarded to bug-guix@HIDDEN:
bug#48756; Package guix. Full text available.

Message received at 48756 <at> debbugs.gnu.org:


Received: (at 48756) by debbugs.gnu.org; 14 Jun 2021 13:23:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 14 09:23:58 2021
Received: from localhost ([127.0.0.1]:45319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsmZK-000633-J0
	for submit <at> debbugs.gnu.org; Mon, 14 Jun 2021 09:23:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lsmZJ-00062f-7r
 for 48756 <at> debbugs.gnu.org; Mon, 14 Jun 2021 09:23:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43582)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lsmZE-0006Yn-1q; Mon, 14 Jun 2021 09:23:52 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=59980 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lsmZD-0000CF-Qz; Mon, 14 Jun 2021 09:23:52 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Madhavan Krishnan <krishnanmadhavan000@HIDDEN>
Subject: Re: bug#48756: guix offload: error: corrupt input while restoring
 archive from #<closed: file 7f68866bf770>
References: <87sg23u83o.fsf@HIDDEN>
Date: Mon, 14 Jun 2021 15:23:49 +0200
In-Reply-To: <87sg23u83o.fsf@HIDDEN> (Madhavan Krishnan's message of "Mon, 
 31 May 2021 00:15:07 +0100")
Message-ID: <87tum0wpei.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48756
Cc: 48756 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Madhavan,

Madhavan Krishnan <krishnanmadhavan000@HIDDEN> skribis:

> Hi there, I am trying to follow this instruction [[info:guix#Daemon
> Offload Setup][guix#Daemon Offload Setup]] with guix
> 6086e6ed1a038793e358becddded50d97593f691 on the host and build machine
> to set up a offload build machine, and I end up with the error below.
>
> ~ $ guix offload test
> guix offload: testing 1 build machines defined in '/etc/guix/machines.scm=
'...
> guix offload: Guix is usable on 'build-machine' (test returned "/gnu/stor=
e/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
> guix offload: 'build-machine' is running GNU Guile 3.0.5
> guix offload: sending 1 store item (0 MiB) to 'build-machine'...
> exporting path `/gnu/store/hqisv30c33ka8xascqh2x0lyqd0bp6z4-export-test'
> guix offload: error: corrupt input while restoring archive from
> #<closed: file 7f68866bf770>

Does /etc/guix/signing-key.{pub,sec} exist on both machines?

You can generate it with =E2=80=98guix archive=E2=80=99 (info "(guix) Invok=
ing guix
archive").

HTH,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#48756; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 May 2021 23:15:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 30 19:15:17 2021
Received: from localhost ([127.0.0.1]:60572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lnUeL-0000EJ-HA
	for submit <at> debbugs.gnu.org; Sun, 30 May 2021 19:15:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:60458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <krishnanmadhavan000@HIDDEN>) id 1lnUeH-0000E5-QT
 for submit <at> debbugs.gnu.org; Sun, 30 May 2021 19:15:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49418)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <krishnanmadhavan000@HIDDEN>)
 id 1lnUeH-0003de-LL
 for bug-guix@HIDDEN; Sun, 30 May 2021 19:15:13 -0400
Received: from mail-wr1-x42b.google.com ([2a00:1450:4864:20::42b]:44865)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <krishnanmadhavan000@HIDDEN>)
 id 1lnUeF-0000Zp-QX
 for bug-guix@HIDDEN; Sun, 30 May 2021 19:15:13 -0400
Received: by mail-wr1-x42b.google.com with SMTP id r10so8951448wrj.11
 for <bug-guix@HIDDEN>; Sun, 30 May 2021 16:15:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:user-agent:date:message-id:mime-version;
 bh=GF7PrT91pl69ZwjptxHTQbOca5Nb+Mpy5olLwlns9G0=;
 b=LKgc4Bix/WxqMb8jAd8RePbfh2eD1qthCfgGdCIE6SE9HxUREDcnYoBckpGHY42jcR
 oWxvhNng2Zdbw3GGbJf4I2L6cTpEE3ccxehs1kmGD0sROZuFRA3FBNLx90Hs/IzBfSOP
 KqVuHrDSmv+43ux+XrszZkHid2nRK4WfuR5Cw5JUcfZEk8QqnkChEOF6dFV69jSFs82j
 AJ/DqHYEKIzMsXJeKfsi0Jihmw9Eh8YXW4juVMaqUY+9iBGH+EfrnaL3+H9xPRWTRWo7
 +OY1jkZ7htw8gtu3XPp28VkGwjoFq3t+C/5Pqn2AcO2C24ekajNy0Jnyu9sWAuDz2YeH
 33CQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:user-agent:date:message-id
 :mime-version;
 bh=GF7PrT91pl69ZwjptxHTQbOca5Nb+Mpy5olLwlns9G0=;
 b=ebqRROIzaqCge/Ls5IVTCMTta35SNN8cOkchO066vO9W22RNNOPOAXTjvW59O0n+n1
 UeoXN6yHorZXV/NNcmF+l/6L5SqWqYP3aNim3vF+tnvDRsLV3r0oJXriMEoejkRA7mUN
 hxnuWN6Uxe/TmDUtlO0Wl7I6a61hpgyjwCIxAKNG5R1N4b/dy9SkCCyY57MOMG2p6qS0
 0BLpCmHmGGgS0RX9zK2bbobdfoEHDnhWK3AWqKOa9ZZ74FXH0EeGR3yxxBi9WQHtbBLB
 UQ32bwbyISwFFFK1r/jy4PVTrxIQT1WzhfibJSArmJ6P35pG4C8O3I7tOZmXhoKFICO3
 k30A==
X-Gm-Message-State: AOAM530nwvO/k3YUXVt/Zp2N6PD3KnDYk+2QKQjC2e3+kVTjQZhV5HgF
 1QjDOJm5iBDes3zruCSlnEpxMDeSktg=
X-Google-Smtp-Source: ABdhPJz0yIqoLR6p2tIGpiVIJ1P9L+xY9A6RDBQpBLldb1xxrpII0O8tjCHi0+7WYh4HwY2FGZTEew==
X-Received: by 2002:adf:a401:: with SMTP id d1mr7776306wra.55.1622416509451;
 Sun, 30 May 2021 16:15:09 -0700 (PDT)
Received: from arch (cpc119944-watf12-2-0-cust108.15-2.cable.virginm.net.
 [86.0.29.109])
 by smtp.gmail.com with ESMTPSA id a1sm7962861wrg.92.2021.05.30.16.15.08
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 30 May 2021 16:15:09 -0700 (PDT)
From: Madhavan Krishnan <krishnanmadhavan000@HIDDEN>
To: bug-guix@HIDDEN
Subject: guix offload: error: corrupt input while restoring archive from
 #<closed: file 7f68866bf770>
User-Agent: Notmuch/0.32.1 (https://notmuchmail.org) Emacs/28.0.50
 (x86_64-pc-linux-gnu)
Date: Mon, 31 May 2021 00:15:07 +0100
Message-ID: <87sg23u83o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::42b;
 envelope-from=krishnanmadhavan000@HIDDEN; helo=mail-wr1-x42b.google.com
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


Hi there, I am trying to follow this instruction [[info:guix#Daemon
Offload Setup][guix#Daemon Offload Setup]] with guix
6086e6ed1a038793e358becddded50d97593f691 on the host and build machine
to set up a offload build machine, and I end up with the error below.

~ $ guix offload test
guix offload: testing 1 build machines defined in '/etc/guix/machines.scm'...
guix offload: Guix is usable on 'build-machine' (test returned "/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
guix offload: 'build-machine' is running GNU Guile 3.0.5
guix offload: sending 1 store item (0 MiB) to 'build-machine'...
exporting path `/gnu/store/hqisv30c33ka8xascqh2x0lyqd0bp6z4-export-test'
guix offload: error: corrupt input while restoring archive from
#<closed: file 7f68866bf770>

Side note I tried testing if I could export manually to said build-machine,
which worked with out any problems.

~ $ guix archive --export -r emacs | ssh build-machine guix archive --import

and same goes for =guix offload status= which work fine as well.

Regards
-- 
Madhavan Krishnan




Acknowledgement sent to Madhavan Krishnan <krishnanmadhavan000@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#48756; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 14 Jun 2021 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.